SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

CREATE DATABASE IF NOT EXISTS `Bundesland` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci;
USE `Bundesland`;

CREATE TABLE `Bundesland` (
  `name` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `kuerzel` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `hauptstadt` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `regierungschef` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `bundesratsstimmen` int(1) NOT NULL,
  `flaeche` int(5) NOT NULL,
  `einwohnerzahl` decimal(4,2) NOT NULL,
  `wappen` varchar(130) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `Bundesland` (`name`, `kuerzel`, `hauptstadt`, `regierungschef`, `bundesratsstimmen`, `flaeche`, `einwohnerzahl`, `wappen`) VALUES
('Brandenburg', 'BB', 'Potsdam', 'Dietmar Woidke', 4, 29654, '2.49', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Brandenburg_Wappen.svg'),
('Berlin', 'BE', '', 'Michael Müller', 4, 892, '3.52', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Coat_of_arms_of_Berlin.svg'),
('Baden-Württemberg', 'BW', 'Stuttgart', 'Winfried Kretschmann', 6, 35751, '10.88', 'https://de.wikipedia.org/wiki/Datei:Coat_of_arms_of_Baden-W%C3%BCrttemberg_(lesser).svg'),
('Bayern', 'BY', 'München', 'Markus Söder', 6, 70550, '12.84', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Bayern_Wappen.svg'),
('Bremen', 'HB', '', 'Andreas Bovenschulte', 3, 420, '0.67', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Bremen_Wappen(Mittel).svg'),
('Hessen', 'HE', 'Wiesbaden', 'Volker Bouffier', 5, 21115, '6.18', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Coat_of_arms_of_Hesse.svg'),
('Hamburg', 'HH', '—', 'Peter Tschentscher', 3, 755, '1.79', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:DEU_Hamburg_COA.svg'),
('Mecklenburg-Vorpomme', 'MV', 'Schwerin', 'Manuela Schwesig', 3, 23212, '1.61', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Coat_of_arms_of_Mecklenburg-Western_Pomerania_(great).svg'),
('Niedersachsen', 'NI', 'Hannover', 'Stephan Weil', 6, 47593, '7.93', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Coat_of_arms_of_Lower_Saxony.svg'),
('Nordrhein-Westfalen', 'NW', 'Düsseldorf', 'Armin Laschet', 6, 34113, '17.87', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Coat_of_arms_of_North_Rhine-Westfalia.svg'),
('Rheinland-Pfalz', 'RP', 'Mainz', 'Malu Dreyer', 4, 19854, '4.05', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Coat_of_arms_of_Rhineland-Palatinate.svg'),
('Schleswig-Holstein', 'SH', 'Kiel', 'Daniel Günther', 4, 15802, '2.86', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:DEU_Schleswig-Holstein_COA.svg'),
('Saarland', 'SL', 'Saarbrücken', 'Tobias Hans', 3, 2567, '1.00', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Wappen_des_Saarlands.svg'),
('Sachsen', 'SN', 'Dresden', 'Michael Kretschmer', 4, 18449, '4.09', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Coat_of_arms_of_Saxony.svg'),
('Sachsen-Anhalt', 'ST', 'Magdeburg', 'Reiner Haseloff', 4, 20452, '2.25', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Wappen_Sachsen-Anhalt.svg'),
('Thüringen', 'TH', 'Erfurt', 'Bodo Ramelow', 4, 16202, '2.17', 'https://de.wikipedia.org/wiki/Land_(Deutschland)#/media/Datei:Coat_of_arms_of_Thuringia.svg');


ALTER TABLE `Bundesland`
  ADD PRIMARY KEY (`kuerzel`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
